import request from "@/utils/request";
import fence from "@/views/system/fence/index.vue";

/**
 * 围栏列表
 * @param data
 * @returns {*}
 */
export function fenceList(data){
  return request({
    url:'/business/fence/list',
    method:"post",
    data:data
  })
}


/**
 * 新增围栏
 * @param data
 * @returns {*}
 */
export function fenceAdd(data) {
  return request({
    url: '/business/fence/fenceAdd',
    method: 'post',
    data:data
  })
}

/**
 * 删除围栏
 * @param fenceId
 * @returns {*}
 */
export function fenceDelete(fenceId) {
  return request({
    url: '/business/fence/fenceDelete/'+fenceId,
    method: 'post'
  })
}


/**
 * 修改围栏
 * @param data
 * @returns {*}
 */
export function fenceUpdate(data) {
  return request({
    url: '/business/fence/fenceUpdate',
    method: 'post',
    data
  })
}

export function fenceUpdateMap(data) {
  return request({
    url: '/business/fence/fenceUpdateMap',
    method: 'post',
    data
  })
}

