import request from "@/utils/request";
import fence from "@/views/system/fence/index.vue";

/**
 * 标识列表
 * @param data
 * @returns {*}
 */
export function markersList(data){
  return request({
    url:'/business/markers/list',
    method:"post",
    data:data
  })
}


/**
 * 新增标识
 * @param data
 * @returns {*}
 */
export function markersInsert(data) {
  return request({
    url: '/business/markers/insert',
    method: 'post',
    data:data
  })
}

/**
 * 绑定围栏
 * @param data
 * @returns {AxiosPromise}
 */
export function insertMarkersFence(data) {
  return request({
    url: '/business/markers/insertMarkersFence',
    method: 'post',
    data:data
  })
}

/**
 * 删除标识
 * @param markersId
 * @returns {*}
 */
export function markersDelete(markersId) {
  return request({
    url: '/business/markers/delete/'+markersId,
    method: 'post'
  })
}

/**
 * 删除标识
 * @param markersId
 * @returns {*}
 */
export function markersFenceList(markersId) {
  return request({
    url: '/business/markers/markersFenceList/'+markersId,
    method: 'post'
  })
}


/**
 * 修改标识
 * @param data
 * @returns {*}
 */
export function markersUpdate(data) {
  return request({
    url: '/business/markers/update',
    method: 'post',
    data
  })
}



